SUN-PIX
1
BRL-CAD
BRL-CAD

# sun-pix

convert Sun bitmaps from screendump(1) into pix(5) or bw(5) raster image

      sun-pix
        -b
        -h
        -i
        -P
        -v
        sun.bitmap

## DESCRIPTION

Sun-pix is a program to take Sun bitmap files created with Sun's screendump 1 command, and convert them to a pix 5 format file. If the `-b` flag is specified, a bw 5 format file is created instead. The dimensions of the input file are the dimensions of the output file; invoking `sun-pix` with the `-h` flag will cause the size of the image to be printed without further processing of the input, or generation of any other output. The image size is output as a pair of command line options (i.e., -w1152 -n900) suitable for use with other brlcad 1 tools such as pix-fb 1. When the `-v` flag is specified, all the fields of the header are printed on stderr, to aid debugging. Note that the "encoded" format is not supported.

Specifying the `-i` flag will invert the sense of a one-bit wide input image, i.e., exchanging black for white. The default Sun image is black print on white background; the `-i` flag will give a white image on black background, which is often better for purposes of creating overlays to be composited with pixmerge 1 on top of color images.

The `-P` flag indicates that the input is a pure bitmap with no Sun-style header on it. The first bit to be processed will be the most significant bit (MSB), i.e., the left-most bit in the byte.

Note that the input file is expected to be in Sun ("network") byte order (i.e., "big-endian", with byte 0 on the left), regardless of the byte order of the machine running this program.

## BUGS

24-bit images are not supported yet.

## SEE ALSO

brlcad 1, pix-fb 1, pixmerge 1, pix 5, bw 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.